org.apache.jmeter.gui

## Class TreeState.TreeStateImpl

- java.lang.Object
- - org.apache.jmeter.gui.TreeState.TreeStateImpl

All Implemented Interfaces:
  TreeState

Enclosing interface:
  TreeState

    public static final class TreeState.TreeStateImpl
    extends Object
    implements TreeState

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.jmeter.gui.TreeState

`TreeState.TreeStateImpl`

### Field Summary

### Fields inherited from interface org.apache.jmeter.gui.TreeState

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`TreeStateImpl(int savedSelected, List<Integer> savedExpanded)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `restore(GuiPackage guiInstance)` Restore tree expanded and selected state

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.gui.TreeState

`from`

### Constructor Detail

#### TreeStateImpl

    public TreeStateImpl(int savedSelected,
                         List<Integer> savedExpanded)

### Method Detail

#### restore

    public void restore(GuiPackage guiInstance)

Description copied from interface: `TreeState`
Restore tree expanded and selected state

Specified by:
  `restore` in interface `TreeState`
Parameters:
  `guiInstance` - GuiPackage to be used